> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Patent By Id

GET https://api.filesearch.dev/v2/datasets/odyssey/patents/{id}

Get patent details by patent number.

Args:
    id: Patent number (e.g., "US10123456B2")

Returns:
    Patent details

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/patents/patents-get-by-id

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful Response

- `error` (string, optional, nullable)
- `patent` (PatentDetail, optional, nullable) — Individual patent details.

## Types

### PatentDetail

Individual patent details.

- `patent_number` (string, required)
- `title` (string, required)
- `abstract` (string, optional, nullable)
- `assignee` (string, optional, nullable)
- `filing_date` (string, optional, nullable)
- `inventors` (list of string, optional)
- `patent_url` (string, optional, nullable)
- `publication_date` (string, optional, nullable)

## Examples

**Response**

```json
{
  "error": "Limited patent data available. Visit the patent_url for full details.",
  "patent": {
    "patent_number": "CN113650574B",
    "title": "Patent CN113650574B",
    "abstract": null,
    "assignee": null,
    "filing_date": null,
    "inventors": [],
    "patent_url": "https://patents.google.com/patent/CN113650574B/en",
    "publication_date": null
  }
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/patents/CN113650574B",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/patents/CN113650574B`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```